{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs";
    flake-utils.url = "github:numtide/flake-utils";
    blog-source = {
      flake = false;
      url = "https://dev.danilafe.com/Web-Projects/blog-static.git";
      type = "git";
      submodules = true;
    };
    blog-source-localized = {
      flake = false;
      url = "https://dev.danilafe.com/Web-Projects/blog-static.git";
      ref = "localization";
      type = "git";
      submodules = true;
    };
    pegasus-source = {
      url = "github:DanilaFe/pegasus";
      flake = false;
    };
    pupper-bot-source = {
      url = "git+https://dev.danilafe.com/Crystal-Bots/joann-pupper-bot";
      flake = false;
    };
  };

  outputs = { self, pupper-bot-source, pegasus-source, blog-source, blog-source-localized, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem
      (system:
        let
          pkgs = import nixpkgs { inherit system; };
            pegasus = pkgs.callPackage ./pegasus/default.nix {
            inherit pegasus-source;
          };
          blog = pkgs.callPackage ./blog/default.nix {
            inherit blog-source blog-source-localized;
          };
        in
          {
            packages = {
              inherit pegasus;
              blogEnglish = blog.english;
              blogEnglishDrafts = blog.drafts.english;
              blogRussianDrafts = blog.drafts.russian;
            };
          }
      );
}
